package um.di.lmf.enote;

import iaik.asn1.*;
import java.math.*;

import um.di.lmf.enote.*;

/**
 * This class represents a digital cash note blinded order, used in the withdrawal protocol
 */

public class BlindedOrder implements ASN1Type {
    
    /**
     * This is the constructor that should be used before building an object with decode.
     */
    public BlindedOrder () {
    }

    /**
     * Returns the blinded hash
     */
    public byte[] getBlindedHash() {
	return blinded_hash;
    }

    /** 
     * Decodes an ASN1Object according to the ASN.1 type the class implements.
     */
    public void decode(ASN1Object obj) throws CodingException {
	blinded_hash=(byte[])((OCTET_STRING)obj).getValue();
    }

    /**
     * Creates an ASN1Object according to the ASN.1 type the class implements.
     */
    public ASN1Object toASN1Object() throws CodingException {
	return new OCTET_STRING(blinded_hash);
    }

    /**
     * The blinded hash
     */
    protected byte[] blinded_hash;

}